Page MenuHomePhabricator

Fix lit tests on Windows related to CR
ClosedPublic

Authored by amccarth on May 31 2019, 4:18 PM.

Details

Summary

Problem discovered in the breakpoint lit test, but probably exists in others.

lldb-test splits lines on LF. Input files that are CR+LF separated (as is common on Windows) then resulted in commands being sent to LLDB that ended in CR, which confused the command interpreter.

This could be fixed at different levels:

  1. Treat '\r' like a tab or space in the argument splitter.
  1. Fix the line splitters (plural) in lldb-test.
  1. Normalize the test files to LF only.

If we did only 3, I'd expect similar problems to recur, so this patch does 1 and 2. I may also do 3 in a separate patch later, but that's tricky because I believe we have some input files that MUST use CR+LF.

Diff Detail

Repository
rL LLVM

Event Timeline

amccarth created this revision.May 31 2019, 4:18 PM
stella.stamenova accepted this revision.Jun 4 2019, 3:45 PM
This revision is now accepted and ready to land.Jun 4 2019, 3:45 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 7 2019, 2:10 PM